GMObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.gm

## Interface GMObjectIdentifiers

-     public interface GMObjectIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `hmac_sm3`
    `static ASN1ObjectIdentifier` | `id_sm9PublicKey`
    `static ASN1ObjectIdentifier` | `sm_scheme`
    `static ASN1ObjectIdentifier` | `sm1_cbc`
    `static ASN1ObjectIdentifier` | `sm1_cfb1`
    `static ASN1ObjectIdentifier` | `sm1_cfb128`
    `static ASN1ObjectIdentifier` | `sm1_cfb8`
    `static ASN1ObjectIdentifier` | `sm1_ecb`
    `static ASN1ObjectIdentifier` | `sm1_ofb128`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_data`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_encryptedData`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_envelopedData`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_keyAgreementInfoData`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_signedAndEnvelopedData`
    `static ASN1ObjectIdentifier` | `sm2_pkcs7_signedData`
    `static ASN1ObjectIdentifier` | `sm2encrypt`
    `static ASN1ObjectIdentifier` | `sm2encrypt_recommendedParameters`
    `static ASN1ObjectIdentifier` | `sm2encrypt_specifiedParameters`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_blake2b512`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_blake2s256`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_md5`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_rmd160`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sha1`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sha224`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sha256`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sha384`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sha512`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_sm3`
    `static ASN1ObjectIdentifier` | `sm2encrypt_with_whirlpool`
    `static ASN1ObjectIdentifier` | `sm2exchange`
    `static ASN1ObjectIdentifier` | `sm2p256v1`
    `static ASN1ObjectIdentifier` | `sm2sign`
    `static ASN1ObjectIdentifier` | `sm2sign_with_blake2b512`
    `static ASN1ObjectIdentifier` | `sm2sign_with_blake2s256`
    `static ASN1ObjectIdentifier` | `sm2sign_with_rmd160`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sha1`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sha224`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sha256`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sha384`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sha512`
    `static ASN1ObjectIdentifier` | `sm2sign_with_sm3`
    `static ASN1ObjectIdentifier` | `sm2sign_with_whirlpool`
    `static ASN1ObjectIdentifier` | `sm3`
    `static ASN1ObjectIdentifier` | `sm5`
    `static ASN1ObjectIdentifier` | `sm6_cbc`
    `static ASN1ObjectIdentifier` | `sm6_cfb128`
    `static ASN1ObjectIdentifier` | `sm6_ecb`
    `static ASN1ObjectIdentifier` | `sm6_ofb128`
    `static ASN1ObjectIdentifier` | `sm9encrypt`
    `static ASN1ObjectIdentifier` | `sm9keyagreement`
    `static ASN1ObjectIdentifier` | `sm9sign`
    `static ASN1ObjectIdentifier` | `sms4_cbc`
    `static ASN1ObjectIdentifier` | `sms4_ccm`
    `static ASN1ObjectIdentifier` | `sms4_cfb1`
    `static ASN1ObjectIdentifier` | `sms4_cfb128`
    `static ASN1ObjectIdentifier` | `sms4_cfb8`
    `static ASN1ObjectIdentifier` | `sms4_ctr`
    `static ASN1ObjectIdentifier` | `sms4_ecb`
    `static ASN1ObjectIdentifier` | `sms4_gcm`
    `static ASN1ObjectIdentifier` | `sms4_ocb`
    `static ASN1ObjectIdentifier` | `sms4_ofb128`
    `static ASN1ObjectIdentifier` | `sms4_wrap`
    `static ASN1ObjectIdentifier` | `sms4_wrap_pad`
    `static ASN1ObjectIdentifier` | `sms4_xts`
    `static ASN1ObjectIdentifier` | `ssf33_cbc`
    `static ASN1ObjectIdentifier` | `ssf33_cfb1`
    `static ASN1ObjectIdentifier` | `ssf33_cfb128`
    `static ASN1ObjectIdentifier` | `ssf33_cfb8`
    `static ASN1ObjectIdentifier` | `ssf33_ecb`
    `static ASN1ObjectIdentifier` | `ssf33_ofb128`
    `static ASN1ObjectIdentifier` | `wapi192v1` <WAPI certificate management—Part 5: Example of certificate format (draft)> <url>http://www.chinabwips.org.cn/zqyjgs1.htm</url> and <url>http://www.chinabwips.org.cn/doc/101.pdf</url>, Page 9 and page 10 states the OID of ECDSA-192 algorithm based on SHA-256 is 1.2.156.11235.1.1.1
    `static ASN1ObjectIdentifier` | `wapi192v1_parameters`
    `static ASN1ObjectIdentifier` | `wapip192v1` <Information security technology — Cryptographic application identifier criterion specification> <url>http://c.gb688.cn/bzgk/gb/showGb?type=online&hcno=252CF0F72A7BE339A56DEA7D774E8994</url>, Page 21 only cover from 301.1 to 301.3

- - ### Field Detail

    - #### sm_scheme

          static final ASN1ObjectIdentifier sm_scheme

    - #### sm6_ecb

          static final ASN1ObjectIdentifier sm6_ecb

    - #### sm6_cbc

          static final ASN1ObjectIdentifier sm6_cbc

    - #### sm6_ofb128

          static final ASN1ObjectIdentifier sm6_ofb128

    - #### sm6_cfb128

          static final ASN1ObjectIdentifier sm6_cfb128

    - #### sm1_ecb

          static final ASN1ObjectIdentifier sm1_ecb

    - #### sm1_cbc

          static final ASN1ObjectIdentifier sm1_cbc

    - #### sm1_ofb128

          static final ASN1ObjectIdentifier sm1_ofb128

    - #### sm1_cfb128

          static final ASN1ObjectIdentifier sm1_cfb128

    - #### sm1_cfb1

          static final ASN1ObjectIdentifier sm1_cfb1

    - #### sm1_cfb8

          static final ASN1ObjectIdentifier sm1_cfb8

    - #### ssf33_ecb

          static final ASN1ObjectIdentifier ssf33_ecb

    - #### ssf33_cbc

          static final ASN1ObjectIdentifier ssf33_cbc

    - #### ssf33_ofb128

          static final ASN1ObjectIdentifier ssf33_ofb128

    - #### ssf33_cfb128

          static final ASN1ObjectIdentifier ssf33_cfb128

    - #### ssf33_cfb1

          static final ASN1ObjectIdentifier ssf33_cfb1

    - #### ssf33_cfb8

          static final ASN1ObjectIdentifier ssf33_cfb8

    - #### sms4_ecb

          static final ASN1ObjectIdentifier sms4_ecb

    - #### sms4_cbc

          static final ASN1ObjectIdentifier sms4_cbc

    - #### sms4_ofb128

          static final ASN1ObjectIdentifier sms4_ofb128

    - #### sms4_cfb128

          static final ASN1ObjectIdentifier sms4_cfb128

    - #### sms4_cfb1

          static final ASN1ObjectIdentifier sms4_cfb1

    - #### sms4_cfb8

          static final ASN1ObjectIdentifier sms4_cfb8

    - #### sms4_ctr

          static final ASN1ObjectIdentifier sms4_ctr

    - #### sms4_gcm

          static final ASN1ObjectIdentifier sms4_gcm

    - #### sms4_ccm

          static final ASN1ObjectIdentifier sms4_ccm

    - #### sms4_xts

          static final ASN1ObjectIdentifier sms4_xts

    - #### sms4_wrap

          static final ASN1ObjectIdentifier sms4_wrap

    - #### sms4_wrap_pad

          static final ASN1ObjectIdentifier sms4_wrap_pad

    - #### sms4_ocb

          static final ASN1ObjectIdentifier sms4_ocb

    - #### sm5

          static final ASN1ObjectIdentifier sm5

    - #### sm2p256v1

          static final ASN1ObjectIdentifier sm2p256v1

    - #### sm2sign

          static final ASN1ObjectIdentifier sm2sign

    - #### sm2exchange

          static final ASN1ObjectIdentifier sm2exchange

    - #### sm2encrypt

          static final ASN1ObjectIdentifier sm2encrypt

    - #### wapip192v1

          static final ASN1ObjectIdentifier wapip192v1

      <Information security technology — Cryptographic application identifier criterion specification> <url>http://c.gb688.cn/bzgk/gb/showGb?type=online&hcno=252CF0F72A7BE339A56DEA7D774E8994</url>, Page 21 only cover from 301.1 to 301.3

    - #### wapi192v1

          static final ASN1ObjectIdentifier wapi192v1

      <WAPI certificate management—Part 5: Example of certificate format (draft)> <url>http://www.chinabwips.org.cn/zqyjgs1.htm</url> and <url>http://www.chinabwips.org.cn/doc/101.pdf</url>, Page 9 and page 10 states the OID of ECDSA-192 algorithm based on SHA-256 is 1.2.156.11235.1.1.1

    - #### wapi192v1_parameters

          static final ASN1ObjectIdentifier wapi192v1_parameters

    - #### sm2encrypt_recommendedParameters

          static final ASN1ObjectIdentifier sm2encrypt_recommendedParameters

    - #### sm2encrypt_specifiedParameters

          static final ASN1ObjectIdentifier sm2encrypt_specifiedParameters

    - #### sm2encrypt_with_sm3

          static final ASN1ObjectIdentifier sm2encrypt_with_sm3

    - #### sm2encrypt_with_sha1

          static final ASN1ObjectIdentifier sm2encrypt_with_sha1

    - #### sm2encrypt_with_sha224

          static final ASN1ObjectIdentifier sm2encrypt_with_sha224

    - #### sm2encrypt_with_sha256

          static final ASN1ObjectIdentifier sm2encrypt_with_sha256

    - #### sm2encrypt_with_sha384

          static final ASN1ObjectIdentifier sm2encrypt_with_sha384

    - #### sm2encrypt_with_sha512

          static final ASN1ObjectIdentifier sm2encrypt_with_sha512

    - #### sm2encrypt_with_rmd160

          static final ASN1ObjectIdentifier sm2encrypt_with_rmd160

    - #### sm2encrypt_with_whirlpool

          static final ASN1ObjectIdentifier sm2encrypt_with_whirlpool

    - #### sm2encrypt_with_blake2b512

          static final ASN1ObjectIdentifier sm2encrypt_with_blake2b512

    - #### sm2encrypt_with_blake2s256

          static final ASN1ObjectIdentifier sm2encrypt_with_blake2s256

    - #### sm2encrypt_with_md5

          static final ASN1ObjectIdentifier sm2encrypt_with_md5

    - #### id_sm9PublicKey

          static final ASN1ObjectIdentifier id_sm9PublicKey

    - #### sm9sign

          static final ASN1ObjectIdentifier sm9sign

    - #### sm9keyagreement

          static final ASN1ObjectIdentifier sm9keyagreement

    - #### sm9encrypt

          static final ASN1ObjectIdentifier sm9encrypt

    - #### sm3

          static final ASN1ObjectIdentifier sm3

    - #### hmac_sm3

          static final ASN1ObjectIdentifier hmac_sm3

    - #### sm2sign_with_sm3

          static final ASN1ObjectIdentifier sm2sign_with_sm3

    - #### sm2sign_with_sha1

          static final ASN1ObjectIdentifier sm2sign_with_sha1

    - #### sm2sign_with_sha256

          static final ASN1ObjectIdentifier sm2sign_with_sha256

    - #### sm2sign_with_sha512

          static final ASN1ObjectIdentifier sm2sign_with_sha512

    - #### sm2sign_with_sha224

          static final ASN1ObjectIdentifier sm2sign_with_sha224

    - #### sm2sign_with_sha384

          static final ASN1ObjectIdentifier sm2sign_with_sha384

    - #### sm2sign_with_rmd160

          static final ASN1ObjectIdentifier sm2sign_with_rmd160

    - #### sm2sign_with_whirlpool

          static final ASN1ObjectIdentifier sm2sign_with_whirlpool

    - #### sm2sign_with_blake2b512

          static final ASN1ObjectIdentifier sm2sign_with_blake2b512

    - #### sm2sign_with_blake2s256

          static final ASN1ObjectIdentifier sm2sign_with_blake2s256

    - #### sm2_pkcs7

          static final ASN1ObjectIdentifier sm2_pkcs7

    - #### sm2_pkcs7_data

          static final ASN1ObjectIdentifier sm2_pkcs7_data

    - #### sm2_pkcs7_signedData

          static final ASN1ObjectIdentifier sm2_pkcs7_signedData

    - #### sm2_pkcs7_envelopedData

          static final ASN1ObjectIdentifier sm2_pkcs7_envelopedData

    - #### sm2_pkcs7_signedAndEnvelopedData

          static final ASN1ObjectIdentifier sm2_pkcs7_signedAndEnvelopedData

    - #### sm2_pkcs7_encryptedData

          static final ASN1ObjectIdentifier sm2_pkcs7_encryptedData

    - #### sm2_pkcs7_keyAgreementInfoData

          static final ASN1ObjectIdentifier sm2_pkcs7_keyAgreementInfoData